## qt6-quick3d 6.6.1

=== examples/quick3d/customeffect/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(customeffect LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/quick3d/customeffect")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Quick3D)

qt_add_executable(customeffect
    main.cpp
)

set_target_properties(customeffect PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(customeffect PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Quick3D
)

qt_add_qml_module(customeffect
    URI Example
    VERSION 1.0
    QML_FILES
        main.qml
    RESOURCES
        checkers2.png
        effect.frag
        effect2.frag
        effect2.vert
        qt_logo_rect.png
    NO_RESOURCE_TARGET_PATH
)

install(TARGETS customeffect
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/quick3d/particles3d/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(particles3d LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/quick3d/particles3d")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Quick3D)

qt_add_executable(particles3d
    main.cpp
)

set_target_properties(particles3d PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(particles3d PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Quick3D
)

set_source_files_properties(AppSettings.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

qt_add_qml_module(particles3d
    URI Example
    VERSION 1.0
    QML_FILES
        AlignedParticles.qml
        AnimatedSprite.qml
        AttractorShapes.qml
        ColorfulParticles.qml
        CustomCheckBox.qml
        CustomLabel.qml
        CustomSlider.qml
        CustomSelectionBox.qml
        DynamicBursts.qml
        EmitAndBurst.qml
        EmitterCustomShapes.qml
        EmitterShapes.qml
        FadingInOut.qml
        Fire.qml
        HeartTrail.qml
        Lights.qml
        LoggingView.qml
        ModelBlendParticles.qml
        OceanSpider.qml
        QtLogoAnimation.qml
        SettingsView.qml
        Snowing.qml
        Sorting.qml
        Speedometer.qml
        StartupView.qml
        SystemPlayPause.qml
        TrailEmitterBurst.qml
        ModelShape.qml
        main.qml
        LineParticles.qml
        AppSettings.qml
    RESOURCES
        images/arrow_icon.png
        images/bear_black.png
        images/colorTable.png
        images/color_table2.png
        images/color_table3.png
        images/color_table4.png
        images/color_table5.png
        images/dot.png
        images/dust.png
        images/explosion_01_strip13.png
        images/icon_interval.png
        images/icon_logging.png
        images/icon_pause.png
        images/icon_play.png
        images/icon_settings.png
        images/leather_n.png
        images/qt_logo.png
        images/qt_logo2.png
        images/qt_logo2_n.png
        images/smoke.png
        images/smoke_sprite.png
        images/snowflake.png
        images/speedometer_labels.png
        images/sphere.png
        images/sprite_09.png
        images/star.png
        images/star2.png
        images/star3.png
        meshes/meter_background.mesh
        meshes/meter_edge.mesh
        meshes/oldqtlogo.mesh
        meshes/suzanne.mesh
        data/qt_logo_in_4096.cbor
        data/qt_logo_out_4096.cbor
        data/heart_4096.cbor
    NO_RESOURCE_TARGET_PATH
)

install(TARGETS particles3d
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/quick3d/designer/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_path_join(destination ${QT_INSTALL_DIR} "${INSTALL_QMLDIR}/QtQuick3D/designer")
qt_copy_or_install(
    FILES
        AbstractLightSection.qml
        BufferInputSection.qml
        BufferInputSpecifics.qml
        BufferSection.qml
        BufferSpecifics.qml
        CameraSection.qml
        CubeMapTextureSpecifics.qml
        CustomCameraSpecifics.qml
        CustomMaterialSection.qml
        CustomMaterialSpecifics.qml
        DebugSettingsSection.qml
        DebugSettingsSpecifics.qml
        DefaultMaterialSection.qml
        DefaultMaterialSpecifics.qml
        DirectionalLightSection.qml
        DirectionalLightSpecifics.qml
        EffectSection.qml
        EffectSpecifics.qml
        FileInstancingSection.qml
        FileInstancingSpecifics.qml
        FogSection.qml
        FogSpecifics.qml
        FrustumCameraSection.qml
        FrustumCameraSpecifics.qml
        InstanceListEntrySection.qml
        InstanceListEntrySpecifics.qml
        InstanceListSection.qml
        InstanceListSpecifics.qml
        InstancingSection.qml
        JointSection.qml
        JointSpecifics.qml
        LightmapperSection.qml
        LightmapperSpecifics.qml
        Loader3DSection.qml
        Loader3DSpecifics.qml
        MaterialSection.qml
        ModelSection.qml
        ModelSpecifics.qml
        MorphTargetSection.qml
        MorphTargetSpecifics.qml
        NodeSection.qml
        NodeSpecifics.qml
        Object3DSection.qml
        OrthographicCameraSection.qml
        OrthographicCameraSpecifics.qml
        PassSection.qml
        PassSpecifics.qml
        PerspectiveCameraSection.qml
        PerspectiveCameraSpecifics.qml
        PointLightSection.qml
        PointLightSpecifics.qml
        PrincipledMaterialSection.qml
        PrincipledMaterialSpecifics.qml
        Repeater3DSection.qml
        Repeater3DSpecifics.qml
        ResourceLoaderSection.qml
        ResourceLoaderSpecifics.qml
        SceneEnvironmentSection.qml
        SceneEnvironmentSpecifics.qml
        SetUniformValueSection.qml
        SetUniformValueSpecifics.qml
        ShaderSection.qml
        ShaderSpecifics.qml
        ShadowSection.qml
        SkinSpecifics.qml
        SkinSection.qml
        SpecularGlossyMaterialSection.qml
        SpecularGlossyMaterialSpecifics.qml
        SpotLightSection.qml
        SpotLightSpecifics.qml
        TextureInputSection.qml
        TextureInputSpecifics.qml
        TextureSection.qml
        TextureSpecifics.qml
        View3DSection.qml
        View3DSpecifics.qml
        ReflectionProbeSection.qml
        ReflectionProbeSpecifics.qml
        quick3d.metainfo
        propertyGroups.json
    DESTINATION "${destination}"
)

add_subdirectory(source)
add_subdirectory(images)

=== tests/manual/dynamic3DTest/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_manual_test(manual_test_dynamic3DTest
    GUI
    SOURCES
        main.cpp
        gradienttexture.cpp
    LIBRARIES
        Qt::Gui
        Qt::Quick
        Qt::Quick3D
)

set(qml_resource_files
    "main.qml"
    "random1.mesh"
    "random2.mesh"
    "random3.mesh"
    "random4.mesh"
    "noise1.jpg"
    "noise2.jpg"
    "noise3.jpg"
    "noise4.jpg"
    "noise5.jpg"
)

qt_internal_add_resource(manual_test_dynamic3DTest "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

qt_add_qml_module(manual_test_dynamic3DTest
    VERSION 1.0
    URI io.qt.tests.manual.dynamic3DTest
    RESOURCE_PREFIX /
)

=== tests/manual/extensions/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(stenciloutline)

=== tests/auto/quick3d/qquick3dcustomcamera/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquick3dcustomcamera.pro.

#####################################################################
## qquick3dcustomcamera Test:
#####################################################################

qt_internal_add_test(tst_qquick3dcustomcamera
    SOURCES
        tst_qquick3dcustomcamera.cpp
    LIBRARIES
        Qt::Quick3DPrivate
        Qt::Quick3DRuntimeRenderPrivate
)

#### Keys ignored in scope 1:.:.:qquick3dcustomcamera.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/quick3d/qquick3dmodel/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquick3dmodel.pro.

#####################################################################
## qquick3dmodel Test:
#####################################################################

qt_internal_add_test(tst_qquick3dmodel
    SOURCES
        tst_qquick3dmodel.cpp
    LIBRARIES
        Qt::Quick3DPrivate
        Qt::Quick3DRuntimeRenderPrivate
)

#### Keys ignored in scope 1:.:.:qquick3dmodel.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/quick3d/qquick3dnode/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquick3dnode.pro.

#####################################################################
## qquick3dnode Test:
#####################################################################

qt_internal_add_test(tst_qquick3dnode
    SOURCES
        tst_qquick3dnode.cpp
    LIBRARIES
        Qt::Quick3DPrivate
        Qt::Quick3DRuntimeRenderPrivate
)

#### Keys ignored in scope 1:.:.:qquick3dnode.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/quick3d_particles/qquick3dparticlepointrotator/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## qquick3dparticlepointrotator Test:
#####################################################################

qt_internal_add_test(tst_qquick3dparticlepointrotator
    SOURCES
        tst_qquick3dparticlepointrotator.cpp
    LIBRARIES
        Qt::Quick3D
        Qt::Quick3DPrivate
        Qt::Quick3DParticlesPrivate
)

## qt6-quick3d 6.6.2

=== debian/changelog ===
qt6-quick3d (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:31:58 +0200

qt6-quick3d (6.6.2-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix typo in symbols file.
  * Mark more symbols as optional, they are gcc internal stuff.

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 13:36:38 +0100

qt6-quick3d (6.6.1-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 18:16:57 +0100

qt6-quick3d (6.6.1-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 31 Dec 2023 12:14:58 -0300

qt6-quick3d (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Dec 2023 10:12:36 +0100

qt6-quick3d (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files and new binary package qml6-module-
    qtquick3d-materialeditor.
  * Update symbols from buildlogs.
  * Rename QML modules.
  * Update d/copyright.
  * Package the private headers.
  * Remove multiple binary packages.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Dec 2023 22:35:23 +0100

=== debian/control ===
Source: qt6-quick3d
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-exec,
               libassimp-dev (>= 5.1.6~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.6.2+dfsg~),
               qt6-base-private-dev (>= 6.6.2+dfsg~),
               qt6-declarative-dev (>= 6.6.2+dfsg~),
               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
               qt6-quick3d-dev:native <cross>,
               qt6-quicktimeline-dev (>= 6.6.2~),
               qt6-shadertools-dev (>= 6.6.2~),
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d.git
Rules-Requires-Root: no

Package: libqt6quick3d6
Provides: qt6-quick3d-private-abi (= 6.6.2),
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D library.

Package: libqt6quick3dassetimport6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Asset Import library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Asset Import library.

Package: libqt6quick3dassetutils6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Asset Utils library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Asset Utils library.

Package: libqt6quick3dglslparser6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D GLS Parser library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D GLS Parser library.

Package: libqt6quick3diblbaker6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D IblBaker library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D IblBaker library.

Package: libqt6quick3druntimerender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Runtime Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Runtime Renderer library.

Package: libqt6quick3dutils6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Utils library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Utils library.

Package: qt6-quick3d-assetimporters-plugin
Architecture: any
Multi-Arch: same
Depends: libqt6quick3d6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick 3D Assimp Import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D's Assimp Import plugin.

Package: qml6-module-qtquick3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: qml6-module-quick3d,
Replaces: qml6-module-quick3d,
Provides: qml6-module-quick3d (= ${binary:Version}),
Description: Qt 6 Quick 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D QML module.

Package: qml6-module-qtquick3d-assetutils
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: qml6-module-quick3d-assetutils,
Replaces: qml6-module-quick3d-assetutils,
Provides: qml6-module-quick3d-assetutils (= ${binary:Version}),
Description: Qt 6 Quick 3D Asset Utils QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Asset Utils QML module.

Package: qml6-module-qtquick3d-effects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3deffects6, qml6-module-quick3d-effects,
Replaces: libqt6quick3deffects6, qml6-module-quick3d-effects,
Provides: qml6-module-quick3d-effects (= ${binary:Version}),
Description: Qt 6 Quick 3D Effects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Effects QML module.

Package: qml6-module-qtquick3d-helpers
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
Replaces: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
Provides: qml6-module-quick3d-helpers (= ${binary:Version}),
Description: Qt 6 Quick 3D Helpers QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Helpers QML module.

Package: qml6-module-qtquick3d-materialeditor
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Material Editor QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Material Editor QML module.

Package: qml6-module-qtquick3d-particleeffects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
Replaces: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
Provides: qml6-module-quick3d-particleeffects (= ${binary:Version}),
Description: Qt 6 Quick 3D Particle Effects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Particle Effects QML module.

Package: qml6-module-qtquick3d-particles3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Provides: libqt6quick3dparticles6 (= ${binary:Version}),
          qml6-module-quick3d-particles3d (= ${binary:Version}),
Description: Qt 6 Quick 3D Particles 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Particles 3D QML module.

Package: qt6-qmltooling-quick3dprofiler-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmltooling Quick3D profiler plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling Quick3D profiler plugin.

Package: qt6-quick3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6quick3d6 (= ${binary:Version}),
         libqt6quick3dassetimport6 (= ${binary:Version}),
         libqt6quick3dassetutils6 (= ${binary:Version}),
         libqt6quick3diblbaker6 (= ${binary:Version}),
         libqt6quick3druntimerender6 (= ${binary:Version}),
         libqt6quick3dutils6 (= ${binary:Version}),
         qml6-module-qtquick3d (= ${binary:Version}),
         qml6-module-qtquick3d-assetutils (= ${binary:Version}),
         qml6-module-qtquick3d-effects (= ${binary:Version}),
         qml6-module-qtquick3d-helpers (= ${binary:Version}),
         qml6-module-qtquick3d-particleeffects (= ${binary:Version}),
         qml6-module-qtquick3d-particles3d (= ${binary:Version}),
         qt6-base-dev,
         qt6-qmltooling-quick3dprofiler-plugin (= ${binary:Version}),
         qt6-quick3d-assetimporters-plugin (= ${binary:Version}),
         qt6-quick3d-dev-tools (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Quick 3D - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Quick 3D library.

Package: qt6-quick3d-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-quick3d-dev (= ${binary:Version}), ${misc:Depends},
Breaks: qt6-quick3d-dev (<< 6.6.1-1),
Replaces: qt6-quick3d-dev (<< 6.6.1-1),
Description: Qt 6 Quick 3D private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 6 applications using the Qt 6 Quick 3D private headers.
 .
 Use at your own risk.

Package: qt6-quick3d-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development programs used for building Qt 6
 Quick 3D applications.

Package: qt6-quick3d-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Quick 3D documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 Quick 3D.

Package: qt6-quick3d-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Quick 3D HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .

## qt6-quick3d 6.7.2

=== debian/changelog ===
qt6-quick3d (6.7.2-5+rpi1) trixie-staging; urgency=medium

  * Force C.UTF-8 locale.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 14 Nov 2024 15:43:25 +0000

qt6-quick3d (6.7.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Sun, 03 Nov 2024 12:11:04 +0100

qt6-quick3d (6.7.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Add qt6-shadertools-dev as a dependency to qt6-quick3d-dev.
  * Enable dh_qmldeps for the QML modules.

 -- Patrick Franz <deltaone@debian.org>  Sun, 03 Nov 2024 11:52:33 +0100

qt6-quick3d (6.7.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:55:59 +0200

qt6-quick3d (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:20:00 +0200

qt6-quick3d (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Sep 2024 20:19:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
+               dh-sequence-qmldeps,
                libassimp-dev (>= 5.1.6~),
                libgl-dev,
                libssl-dev,
@@ -14,24 +15,24 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
                qt6-quick3d-dev:native <cross>,
-               qt6-quicktimeline-dev (>= 6.6.2~),
-               qt6-shadertools-dev (>= 6.6.2~),
+               qt6-quicktimeline-dev (>= 6.7.2~),
+               qt6-shadertools-dev (>= 6.7.2~),
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d.git
 Rules-Requires-Root: no
 
 Package: libqt6quick3d6
-Provides: qt6-quick3d-private-abi (= 6.6.2),
+Provides: qt6-quick3d-private-abi (= 6.7.2),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -124,7 +125,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: qml6-module-quick3d,
 Replaces: qml6-module-quick3d,
 Provides: qml6-module-quick3d (= ${binary:Version}),
@@ -138,7 +139,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: qml6-module-quick3d-assetutils,
 Replaces: qml6-module-quick3d-assetutils,
 Provides: qml6-module-quick3d-assetutils (= ${binary:Version}),
@@ -152,7 +153,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3deffects6, qml6-module-quick3d-effects,
 Replaces: libqt6quick3deffects6, qml6-module-quick3d-effects,
 Provides: qml6-module-quick3d-effects (= ${binary:Version}),
@@ -166,7 +167,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
 Replaces: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
 Provides: qml6-module-quick3d-helpers (= ${binary:Version}),
@@ -180,7 +181,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Material Editor QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -191,7 +192,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
 Replaces: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
 Provides: qml6-module-quick3d-particleeffects (= ${binary:Version}),
@@ -205,7 +206,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
 Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
 Provides: libqt6quick3dparticles6 (= ${binary:Version}),
@@ -241,12 +242,14 @@
          qml6-module-qtquick3d-assetutils (= ${binary:Version}),
          qml6-module-qtquick3d-effects (= ${binary:Version}),
          qml6-module-qtquick3d-helpers (= ${binary:Version}),
+         qml6-module-qtquick3d-materialeditor (= ${binary:Version}),
          qml6-module-qtquick3d-particleeffects (= ${binary:Version}),
          qml6-module-qtquick3d-particles3d (= ${binary:Version}),
          qt6-base-dev,
          qt6-qmltooling-quick3dprofiler-plugin (= ${binary:Version}),
          qt6-quick3d-assetimporters-plugin (= ${binary:Version}),
          qt6-quick3d-dev-tools (= ${binary:Version}),
+         qt6-shadertools-dev,
          ${misc:Depends},
 Description: Qt 6 Quick 3D - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -299,7 +302,3 @@
 Section: doc
 Depends: qt6-base-doc-html, ${misc:Depends},
 Multi-Arch: foreign
-Description: Qt 6 Quick 3D HTML documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(cmake_extra_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
		sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-quick3d 6.8.0

=== examples/quick3d/volumeraycaster/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(volumeraycaster LANGUAGES CXX)
find_package(OpenMP)

set(CMAKE_AUTOMOC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Quick3D)

qt_add_executable(volumeraycaster
    main.cpp
    volumetexturedata.cpp
    volumetexturedata.h
    lineboxgeometry.cpp
    lineboxgeometry.h
)

set_target_properties(volumeraycaster PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(volumeraycaster PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Quick3D
)

if(OpenMP_CXX_FOUND)
    target_link_libraries(volumeraycaster PUBLIC
        OpenMP::OpenMP_CXX
    )
endif()

qt_add_qml_module(volumeraycaster
    URI VolumetricExample
    VERSION 1.0
    QML_FILES
        Main.qml
        ArcballController.qml
        OriginGizmo.qml
        Spinner.qml
    RESOURCES
        images/circle.png
        images/colormap-coolwarm.png
        images/colormap-gist_rainbow.png
        images/colormap-gnuplot.png
        images/colormap-plasma.png
        images/colormap-rainbow.png
        images/colormap-viridis.png
        alpha_blending.frag
        alpha_blending.vert
        SpacingMap.mjs
    RESOURCE_PREFIX "/qt/qml"
    IMPORTS
        QtQuick3D
)

install(TARGETS volumeraycaster
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_qml_app_script(
    TARGET volumeraycaster
    OUTPUT_SCRIPT deploy_script
    MACOS_BUNDLE_POST_BUILD
    NO_UNSUPPORTED_PLATFORM_ERROR
    DEPLOY_USER_QML_MODULES_ON_UNSUPPORTED_PLATFORM
)
install(SCRIPT ${deploy_script})

=== src/3rdparty/openxr/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_3rdparty_library(BundledOpenXR
    QMAKE_LIB_NAME openxr_loader
    STATIC
    SKIP_AUTOMOC
    EXCEPTIONS
    INSTALL
    SOURCES
        src/loader/android_utilities.cpp
        src/loader/android_utilities.h
        src/loader/api_layer_interface.cpp
        src/loader/api_layer_interface.hpp
        src/loader/loader_core.cpp
        src/loader/loader_init_data.cpp
        src/loader/loader_init_data.hpp
        src/loader/loader_instance.cpp
        src/loader/loader_instance.hpp
        src/loader/loader_logger.cpp
        src/loader/loader_logger.hpp
        src/loader/loader_logger_recorders.cpp
        src/loader/loader_logger_recorders.hpp
        src/loader/manifest_file.cpp
        src/loader/manifest_file.hpp
        src/loader/runtime_interface.cpp
        src/loader/runtime_interface.hpp
        src/loader/xr_generated_loader.hpp
        src/loader/xr_generated_loader.cpp
        src/xr_generated_dispatch_table_core.c
        src/common/hex_and_handles.h
        src/common/object_info.cpp
        src/common/object_info.h
        src/common/platform_utils.hpp
        src/common/filesystem_utils.cpp
        src/external/jsoncpp/src/lib_json/json_reader.cpp
        src/external/jsoncpp/src/lib_json/json_value.cpp
        src/external/jsoncpp/src/lib_json/json_writer.cpp
    INCLUDE_DIRECTORIES
        src/
        src/common
        src/external/jsoncpp/include
        src/loader
    DEFINES
        JSON_USE_EXCEPTION=0
        XRLOADER_DISABLE_EXCEPTION_HANDLING
    PUBLIC_INCLUDE_DIRECTORIES
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
)

qt_internal_add_3rdparty_header_module(OpenXRPrivate
    EXTERNAL_HEADERS_DIR include
)

qt_internal_extend_target(BundledOpenXR CONDITION WIN32
    DEFINES
        XR_OS_WINDOWS
        NOMINMAX
        XR_USE_PLATFORM_WIN32
)

qt_internal_extend_target(BundledOpenXR CONDITION ANDROID
    DEFINES
        XR_OS_ANDROID
        XR_USE_PLATFORM_ANDROID
        XR_KHR_LOADER_INIT_SUPPORT=1
    SOURCES
        src/external/jnipp/jnipp.cpp
        src/external/jnipp/jnipp.h
        src/external/android-jni-wrappers/wrap/android.content.cpp
        src/external/android-jni-wrappers/wrap/android.content.h
        src/external/android-jni-wrappers/wrap/android.content.impl.h
        src/external/android-jni-wrappers/wrap/android.database.cpp
        src/external/android-jni-wrappers/wrap/android.database.h
        src/external/android-jni-wrappers/wrap/android.database.impl.h
        src/external/android-jni-wrappers/wrap/android.net.cpp
        src/external/android-jni-wrappers/wrap/android.net.h
        src/external/android-jni-wrappers/wrap/android.net.impl.h
        src/external/android-jni-wrappers/wrap/ObjectWrapperBase.h
    INCLUDE_DIRECTORIES
        src/external/android-jni-wrappers
        src/external/jnipp
    LIBRARIES
        android
        log
)

qt_internal_extend_target(BundledOpenXR CONDITION LINUX
    DEFINES
        XR_OS_LINUX
        HAVE_SECURE_GETENV
    LIBRARIES
        dl
)

qt_internal_extend_target(BundledOpenXR CONDITION QT_FEATURE_xcb
    DEFINES
        XR_USE_PLATFORM_XCB
)

qt_internal_extend_target(BundledOpenXR CONDITION APPLE
    DEFINES
        XR_OS_APPLE
)

qt_disable_warnings(BundledOpenXR)
qt_set_symbol_visibility_hidden(BundledOpenXR)

=== debian/changelog ===
qt6-quick3d (6.8.0-0deepin2) unstable; urgency=medium

  * OFF system_openxr:BOOL quick3dxr_openxr:BOOL

 -- lichenggang <lichenggang@deepin.org>  Mon, 11 Nov 2024 16:36:51 +0800

qt6-quick3d (6.8.0-0deepin1) unstable; urgency=medium

  * add loong64 support

 -- lichenggang <lichenggang@deepin.org>  Sun, 03 Nov 2024 03:11:36 +0800

qt6-quick3d (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Mon, 28 Oct 2024 17:48:41 +0800

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
-               dh-sequence-qmldeps,
                libassimp-dev (>= 5.1.6~),
                libgl-dev,
+               libxcb-glx0-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
                qt6-quick3d-dev:native <cross>,
-               qt6-quicktimeline-dev (>= 6.7.2~),
-               qt6-shadertools-dev (>= 6.7.2~),
+               qt6-quicktimeline-dev (>= 6.8.0~),
+               qt6-shadertools-dev (>= 6.8.0~),
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
@@ -32,7 +32,7 @@
 Rules-Requires-Root: no
 
 Package: libqt6quick3d6
-Provides: qt6-quick3d-private-abi (= 6.7.2),
+Provides: qt6-quick3d-private-abi (= 6.8.0),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -125,7 +125,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: qml6-module-quick3d,
 Replaces: qml6-module-quick3d,
 Provides: qml6-module-quick3d (= ${binary:Version}),
@@ -139,7 +139,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: qml6-module-quick3d-assetutils,
 Replaces: qml6-module-quick3d-assetutils,
 Provides: qml6-module-quick3d-assetutils (= ${binary:Version}),
@@ -153,7 +153,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3deffects6, qml6-module-quick3d-effects,
 Replaces: libqt6quick3deffects6, qml6-module-quick3d-effects,
 Provides: qml6-module-quick3d-effects (= ${binary:Version}),
@@ -167,7 +167,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
 Replaces: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
 Provides: qml6-module-quick3d-helpers (= ${binary:Version}),
@@ -181,7 +181,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Material Editor QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -192,7 +192,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
 Replaces: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
 Provides: qml6-module-quick3d-particleeffects (= ${binary:Version}),
@@ -206,7 +206,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
 Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
 Provides: libqt6quick3dparticles6 (= ${binary:Version}),
@@ -242,14 +242,12 @@
          qml6-module-qtquick3d-assetutils (= ${binary:Version}),
          qml6-module-qtquick3d-effects (= ${binary:Version}),
          qml6-module-qtquick3d-helpers (= ${binary:Version}),
-         qml6-module-qtquick3d-materialeditor (= ${binary:Version}),
          qml6-module-qtquick3d-particleeffects (= ${binary:Version}),
          qml6-module-qtquick3d-particles3d (= ${binary:Version}),
          qt6-base-dev,
          qt6-qmltooling-quick3dprofiler-plugin (= ${binary:Version}),
          qt6-quick3d-assetimporters-plugin (= ${binary:Version}),
          qt6-quick3d-dev-tools (= ${binary:Version}),
-         qt6-shadertools-dev,
          ${misc:Depends},
 Description: Qt 6 Quick 3D - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -302,3 +300,7 @@
 Section: doc
 Depends: qt6-base-doc-html, ${misc:Depends},
 Multi-Arch: foreign
+Description: Qt 6 Quick 3D HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,15 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
-
-export LC_ALL=C.UTF-8
 
 # Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+
+
+cmake_extra_args += \
+        -DFEATURE_quick3dxr_openxr:BOOL=OFF \
+        -DFEATURE_system_openxr:BOOL=OFF
 
 # QT_HOST_PATH isn't passed in cross-builds
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
@@ -15,6 +18,8 @@
 		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
 		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
 endif
+
+
 
 %:
 	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
@@ -31,8 +36,8 @@
 override_dh_auto_install-indep:
 	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
 	# Remove build path from index files.
-	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
-		sed -i 's@$(CURDIR)/@@g' {} \;
+#	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
+#		sed -i 's@$(CURDIR)/@@g' {} \;
 
 execute_after_dh_auto_install-arch:
 	# Reproducible builds: remove build paths from .prl files
